using AppliWebANA.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace AppliWebANA.Controllers {
	public class CompteursController : Controller {
		public ActionResult Index() {
			var compteurs = new CompteursVM();
			if (Request.HttpMethod == "GET") {
				compteurs.InterationsAvecLaPageDesCompteurs = 0;
				Compteurs.VisiteDuNavigateurSurLaPageDesCompteurs++;
			} else {
				compteurs.InterationsAvecLaPageDesCompteurs =
					int.Parse(Request.Form["interactions"]);
			}
			compteurs.VisiteDuNavigateurSurLaPageDesCompteurs = Compteurs.VisiteDuNavigateurSurLaPageDesCompteurs;
			compteurs.InterationsAvecLaPageDesCompteurs++;
			compteurs.VisiteursDuSite = Compteurs.NbDeVisiteurs;
			compteurs.VisiteursDeLUtilisateurSurLeSite = Compteurs.VisiteDeLUtilisateurSurLeSite;
			ViewBag.Compteurs = compteurs;
			return View();
		}
	}
}